Description
TileServer is not very FOSS friendly:

¢ the free mbtiles files are old (more than 1 year from OSM), paid versions otherwise

¢ TileServer software itself is not well maintained, as it depends from node 6 (current: version 10) *

Associated revisions

Revision 24426a88 - 19/10/2018 12:00 - Philippe May

Refs #6907: MBTiles server

Revision 81b3a4f3 - 27/10/2018 16:04 - Philippe May

Refs #6907 (tile server): add static_tiles_url for statically hosted mbtiles;

History

#1 - 12/10/2018 15:58 - Philippe May

Alternative for getting mbtiles: generation from osm data

Download from an OSM mirror:

curl -O http://download.openstreetmap.fr/extracts/asia/india/tamil_nadu.osm.pbf
curl -O http://download.openstreetmap.fr/extracts/asia/india/puducherry.osm.pbf

Generation of mbtiles:
OGR (GDAL)

1. Takes a long time/CPU

2. Can process only 1 file (see ogr2ogr for merging files beforehand)

## Need to generate a single .osm.pdf files

ogr2ogr —f MBTILES target.mbtiles tamil_nadu.osm.pbf -dsco MAXZOOM=15

Alternative for serving mbtiles

mbtiles-server

Source: https:/github.com/tobinbradley/mbtiles-server

Tegola
Source: https:/github.com/go-spatial/tegola

Python
https://github.com/tobinbradley/mbtiles-server
https://github.com/go-spatial/tegola

Looks easy, there are libraries for mbtiles (TileStache: http:/tilestache.org/).

But, not found any quick and easy solution for serving to mapbox-gl.

#2 - 13/10/2018 18:08 - Philippe May

Another option: generate static .pbf files using gdal's MVT provider:

ogr2ogr -s_srs EPSG:4326 -t_srs EPSG:3857 -a_srs EPSG:3857 —-f MVT /usr/local/lib/gisaf_misc/tiles tamil_nadu.o
sm.pbf —-dsco MAXZOOM=14

The tiles are the same than those generated with MBTILES (used by eg. tileserver), in a proper directory structure that can be served by nginx. The
metadata.json file is almost same that what tileserver exposes for mapbox-gl, but needs to be cleaned.

#3 - 11/02/2019 16:33 - Philippe May
- Assignee set to Philippe May

#4 - 07/03/2019 16:25 - Philippe May

- Priority changed from Normal to Low

#5 - 11/01/2020 10:03 - Philippe May
Tried tegola:

imposm with https:/github.com/go-spatial/tegola-osm config.
Got it to work, but the CPU/RAM/storage usage is very high for generating mbtiles from a PostGIS DB.

>—tegola

#6 - 11/01/2020 11:45 - Philippe May

Comprehensive list of related tools: https://github.com/mapbox/awesome-vector-tilest#cli-utilities

tilemaker (https://github.com med/tilemaker) worth trying (got compilation error related to protobuf in first try)
